Summary:	A GIF to PNG converter
Name:		gif2png
Version:	2.5.3
Release:	1
License:	BSD
Group:		Applications/Multimedia
URL:		http://www.catb.org/~esr/gif2png/
Source0:	http://www.catb.org/~esr/gif2png/%{name}-%{version}.tar.gz
Patch0:		%{name}-overflow.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libpng-devel, patch
Requires:	libpng

%description
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

There exists a 'web2png' program in a separate package which is able
to convert entire directory hierarchies.


%package -n web2png
Summary:	A GIF to PNG converter for entire directory hierarchies
Group:		Applications/Multimedia
Requires:	%{name} >= %{version}
Requires:	python >= 2.6.2

%description -n web2png
The gif2png program converts files from the obsolescent Graphic Interchange
Format to Portable Network Graphics. The conversion preserves all graphic
information, including transparency, perfectly. The gif2png program can
even recover data from corrupted GIFs.

The distribution also includes a Python script, web2png, that will
convert entire web hierarchies (images and HTML or PHP pages).


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING NEWS README
%{_bindir}/gif2png
%{_mandir}/man?/gif2png.*
/usr/bin/gif2png


%files -n web2png
%defattr(-,root,system,-)
%{_bindir}/web2png
%{_mandir}/man?/web2png.*
/usr/bin/web2png


%changelog
* Tue Nov 23 2010 Michael Perzl <michael@perzl.org> - 2.5.3-1
- first version for AIX5L v5.1 and higher
